using System.Collections.Generic;

namespace ChuPiao.AutoPrint.Machine.Models
{
    /// <summary>
    /// 竟彩某个场次的投注号码
    /// </summary>
    public class JcCodeEntity
    {
        private string _changCi = "";
        /// <summary>
        /// 场次
        /// </summary>
        public string ChangCi
        {
            get { return _changCi; }
            set { _changCi = value; }
        }
        private int _playId = 0;
        /// <summary>
        /// 玩法（用于混合过关）
        /// </summary>
        public int PlayId
        {
            get { return _playId; }
            set { _playId = value; }
        }



        private List<string> _oneCodeList = new List<string>();
        /// <summary>
        /// 某个场次的投注号码列表
        /// </summary>
        public List<string> OneCodeList
        {
            get { return _oneCodeList; }
            set { _oneCodeList = value; }
        }


        public override string ToString()
        {
            if (string.IsNullOrEmpty(ChangCi) || ChangCi == "0")
            {
                return string.Join(",", OneCodeList.ToArray());
            }
            return string.Format("{0}→[{1}]", ChangCi, string.Join(",", OneCodeList.ToArray()));
        }
    }
}
